Get deployment
GET
/v2/deployments/{id}Authorization
api_key AuthorizationBearer <token>
API key for authentication. Use format: Bearer YOUR_API_KEY
In: header
Path Parameters
id*string
The deployment ID to retrieve.
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v2/deployments/string"{
"id": "550e8400-e29b-41d4-a716-446655440000",
"environment": "production",
"trigger": "auto",
"status": "ready",
"deployed_at": "2024-01-15T10:25:00Z",
"started_at": "2024-01-15T10:30:00Z",
"ended_at": "2024-01-15T10:35:00Z",
"artifact_url": null,
"artifact_sha256": null,
"artifact_size_bytes": null,
"deployment_mode": "sync",
"platform": "linux",
"language": "python",
"runtime_version": "3.12",
"procedure": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string"
},
"created_by_user": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"image": "string"
},
"commit": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"sha": "string",
"message": "string",
"author_username": "string",
"author_avatar_url": "string",
"committed_at": "2019-08-24T14:15:22Z",
"branch": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string"
},
"repository": {
"full_name": "string",
"provider": "github"
}
},
"stations": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"image_url": "string",
"pushed_at": "2019-08-24T14:15:22Z"
}
],
"build_logs": [
{
"seq": 0,
"level": "INFO",
"message": "Installing dependencies...",
"created_at": "2024-01-15T10:30:00Z"
}
]
}{
"message": "Unauthorized",
"code": "UNAUTHORIZED",
"issues": []
}{
"message": "Not found",
"code": "NOT_FOUND",
"issues": []
}{
"message": "Internal server error",
"code": "INTERNAL_SERVER_ERROR",
"issues": []
}How is this guide?